<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Attributes(屬性)</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
</head>

<body align="center">
    <h2>一般屬性 : Attr / Class</h2>
    
    <h3>Attr / removeAttr </h3>
    <p id="title01" name="txt01" class="text">1. Text</p>
    <p id="title02">2. Text</p>
    
    <h3>addClass / hasClass / removeClass / toggleClass</h3>
    <p id="title03">3. Text</p>
    <p id="title04" name="txt04" class="text">4. Text</p>
    <p id="title05" class="text">5. Text</p>
    <p id="title06">6. Text</p>
    
    <hr>
    
    <h2> DOM 元素操作</h2>
    
    <h3>Text / Html / Val</h3>
    <div id="group01">Text</div>
    <div id="group02">
        <h3>Text</h3>
    </div>
    <div id="group03">Text</div>
    
    <hr>
    
    <input id="input" type="text" value="Text">
    <br>
    <input id="output" type="text" value="Text">
    
    <hr>
    
    <h3>Append / Replace</h3>
    
    <button id="btnAppend">Append</button>
    <p id="append">Text</p>
    <p id="replace">Text</p>
    
    <hr>

    <h3>Remove / Empty</h3>
    
    <p id="del01">Text</p>
    <p id="del02">Text</p>

    <hr>
    
    <h3>Before / After</h3>
    <button id="btnAdd">Add</button>
    
    <h3 id="clone">Clone</h3>

    <script>
        $(function() {
            // 【 attr / removeAttr / addClass / hasClass / removeClass / toggleClass 】
            var $title01 = $("#title01");
            var titleName01 = $title01.attr("name");
            console.log(titleName01)

            var $title02 = $("#title02");
            $title02.attr("name", "txt02")
            $title02.attr("class", "text")
            // F12 : ctrl + shift + c (Select Element)

            var $title03 = $("#title03");
            $title03.addClass("text");

            var $title04 = $("#title04");
            $title04.removeAttr("name")
            if ($title04.hasClass("text")) {
                $title04.removeClass("text")
            }

            // Status : Select
            var $title05 = $("#title05");
            $title05.toggleClass("text");

            var $title06 = $("#title06");
            $title06.toggleClass("text");
            
            

            // 【 text / html / val 】 
            var $group01 = $("#group01");
            var text01 = $group01.text();
            $group01.text("Group : " + text01);

            var $group02 = $("#group02");
            var $group03 = $("#group03");
            var text02 = $group02.html();
            $group03.html(text02);

            var $input = $("#input");
            var $output = $("#output");

            $input.off("change").on("change", function() {
                var text03 = $input.val();
                $output.val(text03);
            })

            
            // 【 append / replaceWith 】
            var $btnAppend = $("#btnAppend");
            var $append = $("#append");
            $btnAppend.off("click").on("click", function() {
                $append.append(" Text");
                $append.append("<h3>HtmlTag<h3>")
            })

            

            var $replace = $("#replace");
            $replace.replaceWith("<h3>Text(Replace)</h3>");

            // 【 remove / empty 】
            var $del01 = $("#del01");
            var $del02 = $("#del02");
            $del01.remove(); // 刪除元素
            $del02.empty(); // 刪除內容
            

            // 【 before / after 】
            var $btnAdd = $("#btnAdd");
            $btnAdd.off('click').on('click', function() {
                $btnAdd.before("<p>Begin</p>");
                $btnAdd.after("<p>End</p>");
            })

            // 【 clone 】
            var $titleClone = $("#title01").clone();
            $titleClone.attr("id", "titleClone");
            $titleClone.append("(clone)");
            $("#clone").after($titleClone);

        })

    </script>
</body>

</html>
